JcaCertificateRequestMessageBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.crmf.jcajce

## Class JcaCertificateRequestMessageBuilder

- java.lang.Object
- - org.bouncycastle.cert.crmf.CertificateRequestMessageBuilder
  - - org.bouncycastle.cert.crmf.jcajce.JcaCertificateRequestMessageBuilder

-     public class JcaCertificateRequestMessageBuilder
      extends CertificateRequestMessageBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaCertificateRequestMessageBuilder(java.math.BigInteger certReqId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JcaCertificateRequestMessageBuilder` | `setAuthInfoSender(javax.security.auth.x500.X500Principal sender)`
    `JcaCertificateRequestMessageBuilder` | `setIssuer(javax.security.auth.x500.X500Principal issuer)`
    `JcaCertificateRequestMessageBuilder` | `setPublicKey(java.security.PublicKey publicKey)`
    `JcaCertificateRequestMessageBuilder` | `setSubject(javax.security.auth.x500.X500Principal subject)`

    - ### Methods inherited from class org.bouncycastle.cert.crmf.CertificateRequestMessageBuilder

      `addControl, addExtension, addExtension, build, setAuthInfoPKMAC, setAuthInfoSender, setAuthInfoSender, setIssuer, setProofOfPossessionRaVerified, setProofOfPossessionSigningKeySigner, setProofOfPossessionSubsequentMessage, setPublicKey, setSerialNumber, setSubject, setValidity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaCertificateRequestMessageBuilder

          public JcaCertificateRequestMessageBuilder(java.math.BigInteger certReqId)

  - ### Method Detail

    - #### setIssuer

          public JcaCertificateRequestMessageBuilder setIssuer(javax.security.auth.x500.X500Principal issuer)

    - #### setSubject

          public JcaCertificateRequestMessageBuilder setSubject(javax.security.auth.x500.X500Principal subject)

    - #### setAuthInfoSender

          public JcaCertificateRequestMessageBuilder setAuthInfoSender(javax.security.auth.x500.X500Principal sender)

    - #### setPublicKey

          public JcaCertificateRequestMessageBuilder setPublicKey(java.security.PublicKey publicKey)